Support » Fixing WordPress » Unable to browse website

  • Resolved satimis02

    (@satimis02)


    Hi all,

    Unable to browse website after upgrade to wordpress 5.7 nor able to login the website.

    Warning:
    There has been a critical error on this website.

    I have tried disable all plugins by renaming
    ~/wp-content/plugins.old without result.

    Please help. Thanks in advance

    Regards

    The page I need help with: [log in to see the link]

Viewing 6 replies - 1 through 6 (of 6 total)
  • Moderator Steve Stern (sterndata)

    (@sterndata)

    Forum Moderator & Support Team Rep

    Errors like this are logged. Check the error log on your server. If you can’t find the log, please contact your host.

    Meantime, enable wp_debug and wp_debug_log and after an error, look at wp-content/debug.log to see if anything gets logged there. https://wordpress.org/support/article/debugging-in-wordpress/

    You can also try this: Please attempt to disable all plugins, and use one of the default (Twenty*) themes. If the problem goes away, enable them one by one to identify the source of your troubles.

    If you cannot access wp-admin, there are other ways to deactivate plugins.

    Thread Starter satimis02

    (@satimis02)

    Hi,

    Thanks for your advice.

    Errors like this are logged. Check the error log on your server. If you can’t find the log, please contact your host.

    I could login the cPanel of the host but there is no error.log on wp-content folder.

    A message informed me that the error message has been sent to Administrator’s email box but I couldn’t find it.

    Meantime, enable wp_debug and wp_debug_log …..

    There is no wp_debug nor wp_debug_log on wp-content folder

    You can also try this: Please attempt to disable all plugins, and use one of the default (Twenty*) themes. If the problem goes away, enable them one by one to identify the source of your troubles.

    I have tried before posting to disable all plugins by renaming /wp-content/plugins folder as plugins.old without result. Still I couldn’t browse the website nor login

    Remark: I have another website also encountering the same problem after upgrade wp version 5.7

    Regards

    Thread Starter satimis02

    (@satimis02)

    Hi Steven,

    I found the error_log file. It is on the main folder;
    ~/piano1/error_log

    It is a long file, even for “14-Mar-2021” and “15-Mar-2021”. How can I attach the file here?

    There are 3 websites just found here encountering the same problem after upgrading WordPress to Version 5.7. Yesterday I upgraded WP Version 5.7 on several websites here.

    Regards

    Thread Starter satimis02

    (@satimis02)

    Hi Steven,

    End of the error_log;

    ....
    [15-Mar-2021 02:38:46 UTC] PHP Fatal error:  require(): Failed opening required '/home/ufth6i821ecd/public_html/piano1/wp-includes/https-detection.php' (include_path='.:/opt/alt/php74/usr/share/pear') in /home/ufth6i821ecd/public_html/piano1/wp-settings.php on line 174

    Regards

    • This reply was modified 10 months, 2 weeks ago by satimis02.
    • This reply was modified 10 months, 2 weeks ago by satimis02.
    Thread Starter satimis02

    (@satimis02)

    Line 174

    require ABSPATH . WPINC . '/https-detection.php';

    Thread Starter satimis02

    (@satimis02)

    Hi Steven,

    I solved my problem as follow;

    1)
    On host’s cPanel
    Web Application
    My Application (35)
    -> Click View More
    It starts “Installatron” Page

    2)
    Installatron
    On this page find the domain/sub-domian of the problematic website. Click the “Update” icon (A small red icon on the right. Moving mouse pointer over it shows “Update”). Then it starts another page

    3)
    On “Destination Version” box,
    Click the down-arrow and select (5.7 latest)
    Then click “update” (at the bottom of the page, right corner)

    4)
    Upgrading: Processing
    Wait until the progress bar to finish

    5)
    Click the “Update” icon again to update other applications, such as plugins, theme etc.

    That is ALL. It saves me a lot of work otherwise I have to perform;

    Either
    Reinstall WordPress

    Or
    Delele the problematic website and migrate its cloned site from my local network to host server.
    (I have cloned websites running on local network)

    From now on I’ll update software of websites here instead of login the website and update them there.

    Regards

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Unable to browse website’ is closed to new replies.